#include <vector>
#include <iostream>
using namespace std;

int main()
{
	int brojVaga, brojPitanja;
	cin >> brojVaga >> brojPitanja;
	vector<vector<int>> vage;

	for (int i = 0; i < brojVaga; i++) 
	{
		vector<int> vaga(2);
		cin >> vaga[0] >> vaga[1];
		vage.push_back(vaga);
	}

	vector<vector<int>> pitanja;

	for (int i = 0; i < brojPitanja; i++)
	{
		vector<int> pitanje(3);
		cin >> pitanje[0] >> pitanje[1] >> pitanje[2];
		pitanja.push_back(pitanje);
	}
	for (int i = 0; i < brojPitanja; i++)
	{
		int min = pitanja[i][0] - 1;
		int max = pitanja[i][1] - 1;
		int rezultat = 0;
		for (int j = min; j <= max; j++)
		{
			if (pitanja[i][2] >= vage[j][0] && pitanja[i][2] <= vage[j][1])
			{
				rezultat++;
			}
		}
		cout <<rezultat << endl;
	}
}